ServletConfig (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface ServletConfig

All Known Implementing Classes:
  DefaultServlet, GenericServlet, HttpServlet

    @TransactionType(value=NOT_SUPPORTED)
    public interface ServletConfig

A servlet configuration object used by a servlet container to pass information to a servlet during initialization.

Since:
  Servlet 2.x, Java Card 3.0

Method Summary
`String` | `getInitParameter(String name)` Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
`Enumeration` | `getInitParameterNames()` Returns the names of the servlet's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the servlet has no initialization parameters.
`ServletContext` | `getServletContext()` Returns a reference to the `ServletContext` in which the caller is executing.
`String` | `getServletName()` Returns the name of this servlet instance.

Method Detail

### getServletName

    String getServletName()

  Returns the name of this servlet instance. The name may be provided via server administration, assigned in the web application deployment descriptor, or for an unregistered (and thus unnamed) servlet instance it will be the servlet's class name.

  Returns:
    the name of the servlet instance

### getServletContext

    ServletContext getServletContext()

  Returns a reference to the `ServletContext` in which the caller is executing.

  Returns:
    a `ServletContext` object, used by the caller to interact with its servlet container
  See Also:
    `ServletContext`

### getInitParameter

    String getInitParameter(String name)

  Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.

  Parameters:
    `name` - a `String` specifying the name of the initialization parameter
  Returns:
    a `String` containing the value of the initialization parameter

### getInitParameterNames

    Enumeration getInitParameterNames()

  Returns the names of the servlet's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the servlet has no initialization parameters.

  Returns:
    an `Enumeration` of `String` objects containing the names of the servlet's initialization parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.